<!doctype html>
<html
        xmlns:th="http://www.thymeleaf.org"
        xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
        layout:decorator="layouts/cms">
<head>
</head>
<body>
<th:block layout:fragment="sidebar" th:include="fragments/cms::sidebar('academy')"/>
<th:block layout:fragment="navigation"
          th:include="fragments/cms::navigation(${'Academy: ' + skill.code + ' lesson content'})"/>

<div layout:fragment="content" class="content academy-quiz">
    <div class="container-fluid">
        <div class="row">
            <div class="col-md-8">
                <div class="card card-plain">
                    <div class="content table-responsive table-full-width">

                        <th:block th:include="fragments/cms::notification(${status}, '/cms/academy')"/>

                        <form multiple="true" method="post" th:action="${'/cms/academy/' + skill.id + '/lesson'}">

                            <div class="form-group">
                                <label>Locale*</label>
                                <select class="form-control" name="locale">
                                    <option th:each="supported: ${supported_locale}"
                                            th:value="${supported}"
                                            th:text="${supported}"
                                            th:selected="${supported == locale}"></option>
                                </select>
                            </div>

                            <div class="form-group lesson" th:each="lesson_idx:${max_lessons}">
                                <div class="panel">

                                    <div class="title">
                                        <span th:text="${'Lesson ' + lesson_idx }">Lesson</span>
                                        <label class="pull-right">Delete content
                                        <input type="checkbox" th:name="${'delete_' + lesson_idx}"/> </label>
                                    </div>

                                    <div>
                                        <label>Video ID*</label>
                                        <input type="text"
                                               th:name="${'videoid_' + lesson_idx}"
                                               th:value="${T(tbt.app.common.util.AcademyUtils).getLesson(course?.lessons, lesson_idx)?.videoId}"
                                               class="form-control"/>
                                    </div>
                                    <div>
                                        <label>Description*</label>
                                        <input type="text"
                                               th:name="${'text_' + lesson_idx}"
                                               th:value="${T(tbt.app.common.util.I18nUtils).getLesson(course?.lessons, lesson_idx, locale)}"
                                               class="form-control"/>
                                    </div>

                                    <div>
                                        <label>Tags</label>
                                        <input type="hidden" th:name="${'tags_' + lesson_idx}"
                                               th:id="${'tags_' + lesson_idx}"
                                               th:value="${T(tbt.app.common.util.AcademyUtils).getLessonTagsIdsAsStrings(course?.lessons, lesson_idx)}"
                                        />

                                        <select multiple=" multiple"
                                                class="form-control serializable"
                                                th:for="${'tags_' + lesson_idx}">
                                            <option th:multiple="true" th:each="tag: ${tags}"
                                                    th:value="${tag.id}"
                                                    th:text="${tag.name}"
                                                    th:selected="${ T(tbt.app.common.util.AcademyUtils).getLesson(course?.lessons, lesson_idx)?.tags?.contains(tag) }"></option>
                                        </select>
                                    </div>

                                    <div>
                                        <br/>
                                        <label>Main
                                        <input type="checkbox"
                                               th:name="${'main_' + lesson_idx}"
                                               th:checked="${T(tbt.app.common.util.AcademyUtils).getLesson(course?.lessons, lesson_idx)?.main}"
                                        />
                                        </label>
                                    </div>
                                </div>
                            </div>

                            <button type="submit" class="btn btn-info btn-fill pull-right">Save</button>
                            <a href="/cms/academy" type="submit" class="btn btn-fill pull-left">Cancel</a>

                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>


</div>


</body>
</html>
